После клонирования репозитория, выполняем по очереди команды:<br/>

$ cp .env.example .env<br/>
$ chmod -R 777 storage<br/>
$ npm install<br/>
$ php artisan key:generate<br/>
$ php composer install<br/>
$ php artisan vendor:publish<br/>


После этого редактируем .env файл, а именно нужно подключить базу<br/>
Открываем файл и смотрим сюда:<br/>
DB_CONNECTION=mysql<br/>
DB_HOST=127.0.0.1<br/>
DB_PORT=3306<br/>
DB_DATABASE=homestead<br/>
DB_USERNAME=homestead<br/>
DB_PASSWORD=secret<br/>

Если пользуемся mysql со стандартными настройками, то первые 3 строки не меняем.<br/>
DB_DATABASE - сюда пишем имя базы которую получили после выполнения команды в mysql, пример:<br/>
mysql> CREATE DATABASE geolook;<br/>
в .env DB_DATABASE=geolook<br/>
DB_USERNAME и DB_PASSWORD, логин и пароль по которому заходите в mysql, пример:<br/>
$ mysql -uroot -psecret<br/>
в .env DB_USERNAME=root и DB_PASSWORD=secret

обновляем кеш настроек, что бы они соответствовали новому .env<br/>
$ php artisan config:cache<br/>

Тепрь когда есть подключение к базе, запускаем миграции<br/>
$ php artisan migrate<br/>

Для работы с git создаем каждый ветку со своей фамилией:<br/>
$ git checkout -b фамилия<br/>

После чего написанный код пушим так:<br/>
$ git push origin фамилия<br/>

Открываем http://gitlab.a-level.com.ua/gitgod/geolook/, ищем вкладку Ветки<br/>
смотрим раздел Активные ветки, на против своей фамилии жмем "Новый запрос на слияние"<br/>
Заполняем заголовок, коротко для чего нужен merge,<br/>
ниже коментарии, можно более подробно<br/>
и еще ниже жмем "Создать запрос на слияние".<br/>
Если видите надпись "Этот запрос на слияние может быть объединён автоматически"<br/>
кнопку "Слить пулл-реквест не жмем"!<br/>
Во избежание бардака, давайте сливать будет кто-то один, если никто не возражает - я<br/>
Пишите в телегу после пуша.<br/>

Не забываем делать git pull origin master для обновления своей ветки в соответствии с master